XPolygonRegion(3X11)

NAME
XPolygonRegion, XClipBox - generate regions

SYNTAX
Region XPolygonRegion(points, n, fill_rule)
      XPoint points[];
      int n;
      int fill_rule;

XClipBox(r, rect_return)
      Region r;
      XRectangle *rect_return;

ARGUMENTS

fill_rule
    Specifies the fill-rule you want to set for the specified GC. You can pass or

n   Specifies the number of points in the polygon.

points
    Specifies an array of points.

r   Specifies the region.

rect_return
    Returns the smallest enclosing rectangle.

DESCRIPTION
The function returns a region for the polygon defined by the points array. For an explanation of fill_rule, see

The function returns the smallest rectangle enclosing the specified region.

SEE ALSO
XCreateGC(3X11), XDrawPoint(3X11), XDrawRectangle(3X11)
Xlib - C Language X Interface